<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Employee Schedule</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Employee Schedule
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Setting</li>
        <li class="active"> Employee Schedule</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-3">
            <div class="box box-solid">
                <div class="box-header with-border">
                    <h3 class="box-title">Tab</h3>

                    <div class="box-tools">
                        <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="box-body no-padding">
                    <ul class="nav nav-pills nav-stacked">
                        <li>
                            <a th:href="@{/setting/timemanagement/pattern}"><i class="fa fa-inbox"></i> Pattern </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/timemanagement/pattern/schedule}"><i class="fa fa-inbox"></i> Pattern Schedule </a>
                        </li>
                        <li class="active">
                            <a th:href="@{/setting/timemanagement/employee/schedule}"><i class="fa fa-inbox"></i> Employee Schedule </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/timemanagement/employee/schedule/view}"><i class="fa fa-inbox"></i> Employee Schedule View </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/timemanagement/employee/schedule/impor}"><i class="fa fa-inbox"></i> Import Employee Schedule </a>
                        </li>
                        <li>
                            <a th:href="@{/setting/timemanagement/machine}"><i class="fa fa-inbox"></i> machine </a>
                        </li>
                    </ul>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
        <div class="col-md-9">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${deleted != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <!-- Custom Tabs -->
            <div class="nav-tabs-custom">
                <ul class="nav nav-tabs">
                    <li class="active"><a href="#detail" data-toggle="tab">Employees</a></li>
                    <!--                    <li><a href="#keluarga" data-toggle="tab">Keluarga</a></li>-->
                    <!--                    <li><a href="#pendidikan" data-toggle="tab">Pendidikan</a></li>-->
                </ul>
                <!--                <form class="form-horizontal" th:action="@{/setting/payroll/periode/save}" th:object="${payrollPeriode}" method="post" enctype="multipart/form-data">-->
                <div class="tab-content">
                    <div class="tab-pane active" id="detail">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="box box-info">

                                    <div class="box-header with-border">

                                    </div>
                                    <form method="get">
                                        <div class="box-header with-border">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <h3 class="box-title">Employees List</h3>
                                                </div>
                                                <div class="col-md-6" align="right">
                                                    Show entries <span sd:page-size-selector="javascript"></span>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="box-header with-border">
                                            <div class="row">
                                                <div class="col-md-4">

                                                    <div class="form-group">
                                                        <label for="statusRecord" class="col-sm-2 control-label">Status</label>

                                                        <div class="col-sm-10">
                                                            <select class="form-control select2" name="statusRecord" onchange="this.form.submit()" id="statusRecord" style="width: 100%;">
                                                                <option th:text="${statusRecordSelected[1]}"
                                                                        th:value="${statusRecordSelected[0]}">sdasd</option>
                                                                <option th:each="data : ${statusRecord}"
                                                                        th:text="${data[1]}"
                                                                        th:value="${data[0]}">sdasd</option>
                                                            </select>
                                                        </div>
                                                    </div>

                                                </div>
                                                <div class="col-md-5">
                                                    <div class="form-group">
                                                        <label for="patternSchedule" class="col-sm-2 control-label">Pattern</label>
                                                        <div class="col-sm-10">
                                                        <select class="form-control select2" name="patternSchedule" id="patternSchedule" style="width: 100%;">
                                                            <option th:value="${null}">- All -</option>
                                                            <option th:each="data : ${listPatternSchedule}"
                                                                    th:selected="(${data} == *{patternScheduleSelected})"
                                                                    th:text="${data.scheduleName}"
                                                                    th:value="${data.id}">sdasd</option>
                                                        </select>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-md-2" align="right">
                                                        <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                                </div>
                                                <div class="col-md-1">
                                                    <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                                </div>
                                            </div>
                                        </div>
                                    </form>
                                    <form th:action="@{/setting/timemanagement/employee/schedule/proses}" method="get">
                                        <div class="box-header with-border">
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="btn-group" th:if="${listEmployee.content} != null">
                                                        <button type="submit" class="btn btn-danger">
                                                            Add Schedule
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="box-body table-responsive no-padding">
                                            <table class="table table-bordered">
                                                <tr>
                                                    <th style="width: 10px">#</th>
                                                    <th>Number</th>
                                                    <th>Name</th>
                                                    <th>Job Position</th>
                                                    <th>Last Schedule</th>
                                                    <th style="width: 40px"></th>
                                                </tr>
                                                <tr th:each="dataEmployee,row : ${listEmployee}">
                                                    <td th:text="${(row.index + 1) + (listEmployee.number * listEmployee.size)}">1.</td>
                                                    <td th:text="${dataEmployee[1]}">BEASISWA</td>
                                                    <td th:text="${dataEmployee[3]}">BEASISWA</td>
                                                    <td th:text="${dataEmployee[4]}">BEASISWA</td>
                                                    <td th:text="${dataEmployee[5]}">BEASISWA</td>
                                                    <td>
                                                        <input type="checkbox" th:value="${dataEmployee[0]}" class="flat-red" name="employes">
                                                    </td>
                                                </tr>

                                            </table>
                                        </div>
                                    </form>
                                    <!-- /.box-body -->
                                    <div class="box-footer clearfix">
                                        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                                            <li class="disabled"><a href="#" aria-label="Previous"><span
                                                    aria-hidden="true">&laquo;</span></a>
                                            </li>
                                            <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
                <!--                </form>-->
                <!-- /.tab-content -->
            </div>
            <!-- nav-tabs-custom -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>
</body>
</html>